#ifndef TCOMMANDENUM_H
#define TCOMMANDENUM_H

#include <stdio.h>
#include <windows.h>
#include "Tserial.h"

class TCommandeNum
{
    protected:


    public :
        TCommandeNum(){};
        unsigned char CNC_Output_Current_Mode (Tserial *com);
        void CNC_Select_Mode (Tserial *com,unsigned char sel);
        void Get_Position (Tserial *com, unsigned char aoc_oc, int *X, int *Y, int *Z);
        void Speed_XY (Tserial * com, int vit);
        void Plot_Absolut (Tserial *com, int charx,int chary);  //move_to_XY
        void Plot_Relative (Tserial *com, float charx, float chary);  // mouvement relatif de X et Y
        void Move_To_Z (Tserial * com, int charz);
        void Speed_Z (Tserial *com, int speed);
        unsigned char Send_Reset (Tserial *com) ;
        void Keyboard_Move (Tserial *com);
        void Plot_Relative_Z (Tserial *com, int charz);    // mouvement relatif de 
        void Cercle (Tserial * com, int rayon, int precision); // Fonction pour effectuer un cercle

// Fonctions pour permettre les changements de mode

        unsigned char SendRead_LM (Tserial *com);
        unsigned char SendRead_LI (Tserial *com);
        unsigned char SendRead_LO (Tserial *com);
        unsigned char SendRead_PAR (Tserial *com);
        unsigned char SendRead_FM (Tserial *com);
        unsigned char SendRead_parEF (Tserial *com);
        void Send_aCL (Tserial *com, int length);
        void Send_aCA (Tserial *com, int angle);
        void Interpolation_Test (Tserial * com);

    private:

};

#endif TCOMMANDENUM_H
