//---------------------------------------------------------------------------
#ifndef alpha_writeH
#define alpha_writeH

#include "CmdHPGL.h"

// ****** Structure Point -> T_point ******
typedef struct {
    int x,y,z;
}T_point;

// ****** Structure Point -> T_Lettre ******
typedef struct {
    unsigned char n;
    T_point tab[14];
}T_Lettre;

// ****** Classe TAlpha

class TAlpha
{
public :

TAlpha (void){};

// Fonction pour tracer une lettre avec les structures
// Il manque la gestion de la taille qui ira chercher la premire variable de la structure lettre
void Tracer_Lettre (float taille, Tserial *com, TCommandeNum * CN, T_Lettre Le);



void Lettre_A (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_B (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_C (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_D (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_E (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_F (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_G (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_H (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_I (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_J (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_K (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_L (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_M (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_N (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_O (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_P (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_Q (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_R (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_S (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_T (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_U (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_V (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_W (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_X (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_Y (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_Z (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_pt_dint (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_pt_dexcl (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_Pt_virg (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_virg (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_2pt (float taille,Tserial *com, TCommandeNum *CN);
void Lettre_point (float taille,Tserial *com, TCommandeNum *CN);
void Espace (float taille,Tserial *com, TCommandeNum * CN);
void Ecartement (float taille,Tserial *com, TCommandeNum * CN);
void Ecrire (Tserial *com, TCommandeNum * CN);
void Tri_Lettre (float taille, unsigned char car,Tserial *com, TCommandeNum * CN);
void Lettre_a (float taille, Tserial *com, TCommandeNum *CN);

};

//---------------------------------------------------------------------------
#endif alpha_writeH
